<template>
  <div class="post">
    <div>
      <div>{{ post.id }}</div>
      <div><strong>Название:</strong>{{ post.title }}</div>
      <div><strong>Описание:</strong>{{ post.body }}</div>
    </div>
    <div>
      <my-button
        class="btn"
        @click="$emit('remove', post)"
      >
        Удалить
      </my-button>
    </div>
  </div>
</template>


<script>

export default {
  name: 'my-item',
  components: {
   
  },
  data() {
    return {
    }
  },
  props: {
    post: {
      type: Object,
      required: true
    }
  },
  methods: {
  }
}
</script>


<style scoped>
.title {
  margin-bottom: 15px;
}
.post {
  display: flex;
  justify-content: space-between;
  padding: 10px 15px;
  border: 2px solid teal;
  margin: 15px 0;
}
.btn {
  padding: 10px;
  background: none;
  border: 1px solid teal;
}
</style>